ID Network - Get Record API
Important Notice:
- All request and response parameters are strictly subject to the official API documentation.
- The API response may contain fields not defined in the documentation. These fields are for internal debugging purposes only and are not guaranteed to be stable or compatible. Do not rely on these fields in production environments. ZOLOZ reserves the right to modify or remove these fields at any time without prior notice.
Overview
- API URL:
/api/v1/zoloz/idnetwork/get - API Description: Provides the capability is used to query the details of a record.
Structure
Request parameters
Parameters | Data type | Max length | Description | Example |
itemId | String | 64 | Required. The record ID to be queried, which is the data record ID returned by IDN at the time of being passed in. | "AIN20220725875271649639" |
Response parameters
Parameters | Data type | Description | Example |
result | Result | API request result that contains the result code, result status, and a result message. | { "resultStatus":"S", "resultCode":"SUCCESS", "resultMessage":"Success" } |
transactionId | String | A unique business ID that is generated by the IDN. Note: The system will only return the
| "8365364ceddd411da027cdb15fea92ed" |
sourceProductType | String | Source transactionId that triggered the IDN risk. | "RealID" |
| sourceTransactionId | String | Original transactionId associated with the risk itemId. | "G000000000FIA2026020200000012515624****" |
imageInfo | ImageInfo | Information about the returned image. For more information, see ImageInfo. | { "docImage":"eA3AW/6dxn6QAAAABJRU5ErkJggg==...", "faceImage":"p+AY/b2OF/F1CxAAAAAElFTkSuQmCC..." } |
basicInfo | BasicInfo | The basic information returned. For more information, see BasicInfo. | { "idType":"00000001003", "idNumber":"4608211987081189**", "certName":"Tom", "dateOfBirth":"19870811" } |
userId | String | Merchant-defined user ID. | "e9830710-0d70" |
createTime | String | When the record was created, using a 13-digit timestamp. | "1660728158749" |
ImageInfo
Field | Data type | Description | Example |
docImage | String | Optional. Return ID images. | "eA3AW/6dxn6QAAAABJRU5ErkJggg==..." |
faceImage | String | Optional. Return face images. | "p+AY/b2OF/F1CxAAAAAElFTkSuQmCC..." |
BasicInfo
Field | Data Type | Description | Example |
idType | String | Specifies the document type. | "00000001003" |
certName | String | Name. | "Tom" |
idNumber | String | ID number. | "4608211987081189**" |
dateOfBirth | String | Date of birth. | "19870811" |
Sample
Request sample
POST https://ip:port/api/v1/zoloz/idnetwork/get
# POST Body:
{
"itemId":"AIN20220725875271649639"
}Response sample
# Response Body
{
"result":{
"resultStatus":"S",
"resultCode":"SUCCESS",
"resultMessage":"Success"
},
"transactionId":"8365364ceddd411da027cdb15fea92ed",
"sourceProductType":"ID Network",
"sourceTransactionId":"G000000000FIA2026020200000012515624****",
"imageInfo":{
"docImage":"eA3AW/6dxn6QAAAABJRU5ErkJggg==...",
"faceImage":"p+AY/b2OF/F1CxAAAAAElFTkSuQmCC..."
},
"basicInfo":{
"idType":"00000001003",
"idNumber":"4608211987081189**",
"certName":"Tom",
"dateOfBirth":"19870811"
},
"userId":"e9830710-0d70",
"createTime" : "1660728158749"
}